﻿
@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.DataMember.ProductBefore>


@(
 Html.Grid(Model).Named("AllProduct").Columns(columns =>
 {

     columns.Add(x => x.Name)
        .Titled("Name")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Name).Filterable(true);

     columns.Add(x => x.IsPregnancyProduct)
        .Titled("Pregnancy Product")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
       .RenderValueAs(x => x.IsPregnancyProduct ? "Yes" : "No").Filterable(true);

     columns.Add(x => x.CreatedDate)
        .Titled("CreatedDate")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.CreatedDate.Value.ToString("dd-MM-yyyy HH:mm")).Filterable(true);

     columns.Add(x => x.CreatedBy)
       .Titled("CreatedBy")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.CreatedBy).Filterable(true);

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.ProductBefore.Edit(x.ID))));


 }).Filterable()
.Sortable()
.WithPaging(5)
)

@helper IsActiveRender(bool isActive)
{
    if(isActive)
    {
        <span>True</span>
    }
    else
    {
        <span>False</span>
    }
}